# class Facts::NetworkDevice

### Public Instance Methods

destroy(facts) click to toggle source

    # File lib/puppet/indirector/facts/network_device.rb, line 17
    def destroy(facts)
      raise Puppet::DevError, "You cannot destroy facts in the code store; it is only used for getting facts from a remote device"
    end

find(request) click to toggle source

Look a device’s facts up through the current device.

    # File lib/puppet/indirector/facts/network_device.rb, line 8
    def find(request)
      result = Puppet::Node::Facts.new(request.key, Puppet::Util::NetworkDevice.current.facts)

      result.add_local_facts
      result.stringify

      result
    end

save(facts) click to toggle source

    # File lib/puppet/indirector/facts/network_device.rb, line 21
    def save(facts)
      raise Puppet::DevError, "You cannot save facts to the code store; it is only used for getting facts from a remote device"
    end